---
type: api
title: Get value lists
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-findlists
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-findlists
products:
  - Kibana
---

# Get value lists

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/lists/_find`
- `GET` `/s/{space_id}/api/lists/_find`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#basicauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Get a paginated subset of value lists. By default, the first page is returned, with 20 results per page.

## Query String Parameters

- `page` (integer)
  The page number to return.
- `per_page` (integer)
  The number of value lists to return per page.
- `sort_field` (string · min: 1)
  Determines which field is used to sort the results.
- `sort_order` (enum)
  Determines the sort order, which can be `desc` or `asc`
  Values: `desc`, `asc`
- `cursor` (string · min: 1)
  Returns the lists that come after the last lists returned in the previous call (use the `cursor` value returned in the previous call). This parameter uses the `tie_breaker_id` field to ensure all lists are sorted and returned correctly.
- `filter` (string)
  Filters the returned results according to the value of the specified field,
using the <field name>:<field value> syntax.

## Responses

#### `200`

Successful response

`application/json`

- `cursor` (string · min: 1)
- `data` ([] object)
  - `_version` (string)
    The version id, normally returned by the API when the document is retrieved. Use it ensure updates are done against the latest version.
  - `@timestamp` (string)
  - `created_at` (string)
    Autogenerated date of object creation.
  - `created_by` (string)
    Autogenerated value - user that created object.
  - `description` (string · min: 1)
    Describes the value list.
  - `id` (string · min: 1)
    Value list's identifier.
  - `immutable` (boolean)
  - `meta` (object)
    Placeholder for metadata about the value list.
  - `name` (string · min: 1)
    Value list's name.
  - `tie_breaker_id` (string)
    Field used in search to ensure all containers are sorted and returned correctly.
  - `type` (enum)
    Specifies the Elasticsearch data type of excludes the list container holds. Some common examples:

- `keyword`: Many ECS fields are Elasticsearch keywords
- `ip`: IP addresses
- `ip_range`: Range of IP addresses (supports IPv4, IPv6, and CIDR notation)
    Values: `binary`, `boolean`, `byte`, `date`, `date_nanos`, `date_range`, `double`, `double_range`, `float`, `float_range`, `geo_point`, `geo_shape`, `half_float`, `integer`, `integer_range`, `ip`, `ip_range`, `keyword`, `long`, `long_range`, `shape`, `short`, `text`
  - `updated_at` (string)
    Autogenerated date of last object update.
  - `updated_by` (string)
    Autogenerated value - user that last updated object.
  - `version` (integer · min: 1)
    The document version number.
- `page` (integer · min: 0)
- `per_page` (integer · min: 0)
- `total` (integer · min: 0)
#### `400`

Invalid input data response

`application/json`

One of:
- **PlatformErrorResponse**
  - `error` (string)
  - `message` (string)
  - `statusCode` (integer)
- **SiemErrorResponse**
  - `message` (string)
  - `status_code` (integer)
#### `401`

Unsuccessful authentication response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `403`

Not enough privileges response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `500`

Internal server error response

`application/json`

- `message` (string)
- `status_code` (integer)
## Code Examples

#### Console

```console
GET /api/lists/_find
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/lists/_find"
```

## Response Examples

#### Ip list

```json
{
  "cursor": "WzIwLFsiZjU1MDgxODgtYjFlOS00ZTZlLTk2NjItZDAzOWE3ZDg5ODk5Il1d",
  "data": [
    {
      "_version": "WzAsMV0=",
      "@timestamp": "2025-01-08T04:47:34.273Z\n",
      "created_at": "2025-01-08T04:47:34.273Z\n",
      "created_by": "elastic",
      "description": "This list describes bad internet ip",
      "id": "ip_list",
      "immutable": false,
      "name": "Simple list with an ip",
      "tie_breaker_id": "f5508188-b1e9-4e6e-9662-d039a7d89899",
      "type": "ip",
      "updated_at": "2025-01-08T04:47:34.273Z\n",
      "updated_by": "elastic",
      "version": 1
    }
  ],
  "page": 1,
  "per_page": 20,
  "total": 1
}
```

#### Bad

```json
{
  "error": "Bad Request",
  "message": "[request query]: page: Expected number, received nan",
  "statusCode": 400
}
```

#### Unauthorized

```json
{
  "error": "Unauthorized",
  "message": "[security_exception\\n\\tRoot causes:\\n\\t\\tsecurity_exception: unable to authenticate user [elastic] for REST request [/_security/_authenticate]]: unable to authenticate user [elastic] for REST request [/_security/_authenticate]",
  "statusCode": 401
}
```

#### Forbidden

```json
{
  "error": "Forbidden",
  "message": "API [GET /api/lists/_find?page=1\u0026per_page=20] is unauthorized for user, this action is granted by the Kibana privileges [lists-read]",
  "statusCode": 403
}
```

#### Server error

```json
{
  "message": "Internal Server Error",
  "status_code": 500
}
```

